Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.spi.table.model
Interface VTableDomainModelReference

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, ModelChangeListener, org.eclipse.emf.common.notify.Notifier, VDomainModelReference, VFeaturePathDomainModelReference

All Known Implementing Classes:
  VTableDomainModelReferenceImpl

    public interface VTableDomainModelReference

extends VFeaturePathDomainModelReference

A representation of the model object 'Domain Model Reference'.

The following features are supported:

- `Column Domain Model References`
- `Domain Model Reference`

See Also:
  `VTablePackage.getTableDomainModelReference()`

Method Summary
`org.eclipse.emf.common.util.EList<VDomainModelReference>` | `getColumnDomainModelReferences()` Returns the value of the 'Column Domain Model References' containment reference list.
`VDomainModelReference` | `getDomainModelReference()` Returns the value of the 'Domain Model Reference' containment reference.
`void` | `setDomainModelReference(VDomainModelReference value)` Sets the value of the ' `Domain Model Reference`' containment reference.

Methods inherited from interface org.eclipse.emf.ecp.view.spi.model.VFeaturePathDomainModelReference
`getDomainModelEFeature, getDomainModelEReferencePath, setDomainModelEFeature`

Methods inherited from interface org.eclipse.emf.ecp.view.spi.model.VDomainModelReference
`getChangeListener, getEStructuralFeatureIterator, getFullPathIterator, getIterator, init`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecp.view.spi.model.ModelChangeListener
`notifyChange`

Method Detail

### getColumnDomainModelReferences

    org.eclipse.emf.common.util.EList<VDomainModelReference> getColumnDomainModelReferences()

  Returns the value of the 'Column Domain Model References' containment reference list. The list contents are of type `VDomainModelReference`.

  If the meaning of the 'Column Domain Model References' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Column Domain Model References' containment reference list.
  See Also:
    `VTablePackage.getTableDomainModelReference_ColumnDomainModelReferences()`

### getDomainModelReference

    VDomainModelReference getDomainModelReference()

  Returns the value of the 'Domain Model Reference' containment reference.

  If the meaning of the 'Domain Model Reference' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Domain Model Reference' containment reference.
  Since:
    1.5
  See Also:
    `setDomainModelReference(VDomainModelReference)`, `VTablePackage.getTableDomainModelReference_DomainModelReference()`

### setDomainModelReference

    void setDomainModelReference(VDomainModelReference value)

  Sets the value of the ' `Domain Model Reference`' containment reference.

  Parameters:
    `value` - the new value of the 'Domain Model Reference' containment reference.
  Since:
    1.5
  See Also:
    `getDomainModelReference()`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.